<?php
	
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	$pl=$_GET['p'];
	$q = mysql_query("SELECT * FROM `planet` WHERE `id`='".check(mysql_real_escape_string($pl))."'");
	$f = mysql_fetch_array($q);
	$s = mysql_query("SELECT * FROM `building` WHERE `planet_id`='".check(mysql_real_escape_string($f['id']))."'");
	$b = mysql_fetch_array($s);
	if($game==0 OR $level==0 OR $rasa!=3 OR $f['uid']!=$use_id OR $b['b2']==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{

	echo '<div class="top"><a href="../game/planet.php?act=pl&amp;p='.$f['id'].'">Планета '.$f['name'].'</a> | Гнездо</div>';
	   		switch ($act) {
		


			default:
	if($lvl_hero>=3){
	echo '<div class="cont"><img src="../images/gnezdo.gif" alt="image" /> В вашей колонии '.$f['maxpeo'].' гнезд</div><div class="conts">';
	$ok=$_GET['ok'];
	$mn=$f['maxpeo']*1500;
	$met=$f['maxpeo']*1000;
	$gs=$f['maxpeo']*1000;
	$pv=$f['maxpeo']*2500;
	$timerab=$realtime+(300*$f['maxpeo']);
	$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `rabota` WHERE `typerab`=5 AND `uid`='".$use_id."' AND `planet`='".$f['id']."';"), 0);

	echo 'Стоимость 1 дополнительного гнезда:<br/>
	<img src="../images/min.gif" alt="image" /> '.$mn.' минералов<br/>
	<img src="../images/metall.gif" alt="image" /> '.$met.' металлов<br/>
	<img src="../images/gas.gif" alt="image" /> '.$gs.' газа Веспен<br/>
	<img src="../images/prov.png" alt="image" /> '.$pv.' провизии<br/>';
	echo '<img src="../images/time.gif" alt="image" /> Время на постройку: '.intval(($timerab-$realtime)/60).' минут<br/>';
	if($count!=0)echo 'Подождите пока пристроятся предыдущие дополнительные гнезда!';
	if($ok!=1){
	if($gas>=$gs AND $min>=$mn AND $metall>=$met AND $prov>=$pv AND $count==0)echo '<a href="?ok=1&amp;p='.$f['id'].'">Пристроить</a><br/>';
	}else{
	if($gas>=$gs AND $min>=$mn AND $metall>=$met AND $prov>=$pv AND $count==0){
mysql_query("UPDATE `users` SET
						`prov`=prov-$pv,
						`gas`=gas-$gs,
						`metall`=metall-$met,
						`min`=min-$mn WHERE `id` = '$use_id';");
		mysql_query("INSERT INTO `rabota` SET
			`uid`='".$use_id."',
			`planet`='".$f['id']."',
			`name_planet`='".$f['name']."',
			`rasa`='".$rasa."',
			`typerab`=5,
			`time`=$timerab;");
			echo 'Начата пристройка дополнительного гнезда!';		

	}
}

	          echo '</div>';	}	
	break;
				
	}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>